totemstats.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | totem_stats_header_t
struct | totemnet_stats_t
struct | totemsrp_token_stats_t
struct | totemsrp_stats_t
struct | totempg_stats_t

## Macros

#define | TOTEM_TOKEN_STATS_MAX 100
#define | TOTEMPG_STATS_CLEAR_TOTEM 1
#define | TOTEMPG_STATS_CLEAR_TRANSPORT 2

## Functions

int | totemknet_link_get_status (knet_node_id_t node, uint8_t link, struct knet_link_status *status)
int | totemknet_handle_get_stats (struct knet_handle_stats *stats)
void | stats_knet_add_member (knet_node_id_t nodeid, uint8_t link)
void | stats_knet_del_member (knet_node_id_t nodeid, uint8_t link)
void | stats_knet_add_handle (void)
void | totempg_stats_clear (int flags)

## Macro Definition Documentation

## TOTEM_TOKEN_STATS_MAX

#define TOTEM_TOKEN_STATS_MAX 100

Definition at line 89 of file totemstats.h.

## TOTEMPG_STATS_CLEAR_TOTEM

#define TOTEMPG_STATS_CLEAR_TOTEM 1

Definition at line 115 of file totemstats.h.

## TOTEMPG_STATS_CLEAR_TRANSPORT

#define TOTEMPG_STATS_CLEAR_TRANSPORT 2

Definition at line 116 of file totemstats.h.

## Function Documentation

## stats_knet_add_handle()

void stats_knet_add_handle | ( | void |  | ) |

Definition at line 753 of file stats.c.

References cs_knet_handle_stats, ICMAP_KEYNAME_MAXLEN, nodeid, NUM_KNET_HANDLE_STATS, and param.

Referenced by totemknet_initialize().

## stats_knet_add_member()

void stats_knet_add_member | ( | knet_node_id_t | nodeid,
|  | uint8_t | link
| ) |  |

Definition at line 730 of file stats.c.

References cs_knet_stats, ICMAP_KEYNAME_MAXLEN, nodeid, NUM_KNET_STATS, and param.

Referenced by totemknet_member_add().

## stats_knet_del_member()

void stats_knet_del_member | ( | knet_node_id_t | nodeid,
|  | uint8_t | link
| ) |  |

Definition at line 740 of file stats.c.

References cs_knet_stats, ICMAP_KEYNAME_MAXLEN, nodeid, NUM_KNET_STATS, and param.

Referenced by totemknet_member_remove().

## totemknet_handle_get_stats()

int totemknet_handle_get_stats | ( | struct knet_handle_stats * | stats | ) |

Definition at line 1855 of file totemknet.c.

References CS_ERR_NOT_EXIST, CS_OK, global_instance, totemknet_instance::knet_handle, nodeid, and qb_to_cs_error().

Referenced by stats_map_get().

## totemknet_link_get_status()

int totemknet_link_get_status | ( | knet_node_id_t | node,
|  | uint8_t | link,
|  | struct knet_link_status * | status
| ) |  |

extern

Definition at line 1818 of file totemknet.c.

References CS_ERR_BUSY, CS_ERR_INVALID_PARAM, CS_ERR_LIBRARY, CS_ERR_NOT_EXIST, CS_ERR_TRY_AGAIN, CS_OK, global_instance, INTERFACE_MAX, totemknet_instance::knet_handle, and nodeid.

Referenced by stats_map_get().

## totempg_stats_clear()

void totempg_stats_clear | ( | int | flags | ) |

extern

Definition at line 1576 of file totempg.c.

References flags, totempg_stats_t::msg_queue_avail, totempg_stats_t::msg_reserved, TOTEMPG_STATS_CLEAR_TOTEM, and totemsrp_stats_clear().

Referenced by stats_map_set().